package com.se4android.isolatedservice;

import com.se4android.isolatedservice.DemoIsolatedService;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.widget.CompoundButton;
import android.widget.Switch;
import android.widget.Toast;

public class DemoActivity extends Activity implements CompoundButton.OnCheckedChangeListener{
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
         
        setContentView(R.layout.demo_activity);
         
        Switch s = (Switch) findViewById(R.id.monitored_switch);
        if (s != null) {
            s.setOnCheckedChangeListener(this);
        }
    }
 
    @Override
    public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
       if (isChecked) {
    	   Toast.makeText(this, "Starting isolated service",
    			   Toast.LENGTH_SHORT).show();
    	   Intent startIntent = new Intent(this, DemoIsolatedService.class);
	       startService(startIntent);   
       } else {
    	   Toast.makeText(this, "Stopping isolated service",
    			   Toast.LENGTH_SHORT).show();
    	   Intent stopIntent = new Intent(this, DemoIsolatedService.class);
    	   stopService(stopIntent);
       }
    }
}	
