package com.se4android.isolatedservice;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.util.Log;

public class DemoIsolatedService extends Service {
	IBinder mBinder;
	
	@Override
	public IBinder onBind(Intent intent) {
		return mBinder;
	}

	@Override
	public int onStartCommand(Intent intent, int flags, int startId) {
		Log.i("SE4A-IsolatedService", "Started DemoIntentService");
	return START_STICKY;
	}
    
	@Override
	public void onDestroy() {
		Log.i("SE4A-IsolatedService", "Stopped DemoIntentService");
	}
}
