package com.example.runisolatedservice;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.CompoundButton;
import android.widget.Switch;
import android.widget.Toast;

	public class DemoActivity extends Activity implements CompoundButton.OnCheckedChangeListener {
			
	    @Override
	    protected void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);
	         
	        setContentView(R.layout.demo_activity);
	         
	        Switch s = (Switch) findViewById(R.id.monitored_switch);
	        if (s != null) {
	            s.setOnCheckedChangeListener(this);
	        }
	    }
	 
	    @Override
	    public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
	       if (isChecked) {
	    	   try {
	    		   Toast.makeText(this, "Starting isolated service",
	    				   Toast.LENGTH_SHORT).show();
	    		   Intent startIntent = new Intent();
	    		   startIntent.setClassName("com.se4android.isolatedservice", "com.se4android.isolatedservice.DemoIsolatedService");
	    		   startService(startIntent);
	    	   } catch (Exception e) {
	    		   Toast.makeText(this, "Exception starting isolated service",
	    				   Toast.LENGTH_SHORT).show();
	    	   }
		       
	       } else {
	    	   Toast.makeText(this, "Stopping isolated service",
	    			   Toast.LENGTH_SHORT).show();
	    	   Intent stopIntent = new Intent();
	    	   stopIntent.setClassName("com.se4android.isolatedservice", "com.se4android.isolatedservice.DemoIsolatedService");
	    	   stopService(stopIntent);
	       }
	    }
	}	
